Description

problem

When checking multiple members in succession, whether the role is from a group or personalized

"Edit" and "Delete" are mixed at the right end, and I accidentally press "Delete".

measures

Do one of the following:

Display a confirmation dialog before deleting.

"Edit" that is always displayed is fixed at the right end, and "Delete" that is displayed depending on the condition is the second

from the right.

/* The following is a Japanese supplement */

Subject

プロジェクトのメンバ設定で間違ってメンバを削除してしまう

問題点

ロールがグループ由来か個人設定か、複数メンバを連続して確認する際、

右端に「編集」と「削除」が混在しており間違って「削除」を押してしまう。

対策

以下のどちらかを行う。

削除前に確認ダイアログを表示する。

常に表示される「編集」を右端固定とし、条件によって表示される「削除」を右から2番目にする。

Related issues:

Related to Redmine - Defect #13199: "Edit" misaligned in project members view Closed

History

#1 - 2022-01-04 03:08 - Mizuki ISHIKAWA

- File 0001-Add-confirm-to-delete-link.patch added

- File 0002-Separate-delete-link-and-edit-link-columns.patch added

- File current-view.png added

- File after-applying-the-patch-00002.png added

Two patches are attached to solve this problem.

0001-Add-confirm-to-delete-link.patch

Currently, the system only displays a confirmation dialog when certain condition is met.

Change it so that l(:text_are_you_sure) is displayed even when the condition is not met.

0002-Separate-delete-link-and-edit-link-columns.patch

Split the column so that the Edit link is not right-justified when there is no Delete link.  
Current After applying the patch

current-view.png after-applying-the-patch-00

002.png 

#2 - 2022-01-12 05:44 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2022-01-13 14:24 - Go MAEDA

- Related to Defect #13199: "Edit" misaligned in project members view added

#4 - 2022-01-15 08:11 - Go MAEDA

The issue that the patch 0002-Separate-delete-link-and-edit-link-columns.patch fixes has already been reported as #13199.

I have posted the patch with slight modification to #13199.

#5 - 2022-01-16 06:04 - Go MAEDA

kiyoshi ohgishi wrote:

Do one of the following:

Display a confirmation dialog before deleting.

"Edit" that is always displayed is fixed at the right end, and "Delete" that is displayed depending on the condition is the second from the

right.

 The second one has been done in r21366 (#13199) for the upcoming Redmine 5.0.0.

#6 - 2022-01-18 10:49 - Go MAEDA

- Target version deleted (Candidate for next major release)

Files

0001-Add-confirm-to-delete-link.patch 2.32 KB 2022-01-04 Mizuki ISHIKAWA

0002-Separate-delete-link-and-edit-link-columns.patch 2.28 KB 2022-01-04 Mizuki ISHIKAWA

current-view.png 16.8 KB 2022-01-04 Mizuki ISHIKAWA

after-applying-the-patch-00002.png 16.9 KB 2022-01-04 Mizuki ISHIKAWA
